CVE-2002-0760
CVSS1.2
发布时间 :2002-08-12 00:00:00
修订时间 :2008-09-05 16:28:52
NMCO    

[原文]Race condition in bzip2 before 1.0.2 in FreeBSD 4.5 and earlier, OpenLinux 3.1 and 3.1.1, and possibly other operating systems, decompresses files with world-readable permissions before setting the permissions to what is specified in the bzip2 archive, which could allow local users to read the files as they are being decompressed.


[CNNVD]bzip2解压文件权限不安全漏洞(CNNVD-200208-064)

        
        bzip2是一款开放源代码的文件压缩/解压工具,可使用在多种Linux和Unix操作系统下。
        bzip2存在竞争条件漏洞,可导致解压的文件权限为全局可读。
        bzip2在建立文件和设置正确权限之间存在竞争条件漏洞,可导致bzip2解压不安全的全局可读的文件。攻击者可能利用这个漏洞获得其他本地用户文件的内容。
        

- CVSS (基础分值)

CVSS分值: 1.2 [轻微(LOW)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:bzip:bzip2:1.0.1
cpe:/a:bzip:bzip2:0.9.5b
cpe:/a:bzip:bzip2:0.9.5a
cpe:/a:bzip:bzip2:0.9.0b
cpe:/a:bzip:bzip2:0.9.0a
cpe:/a:bzip:bzip2:1.0
cpe:/a:bzip:bzip2:0.9.5c
cpe:/a:bzip:bzip2:0.9.0c
cpe:/a:bzip:bzip2:0.9.5d
cpe:/a:bzip:bzip2:0.9.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0760
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0760
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200208-064
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/4775
(VENDOR_ADVISORY)  BID  4775
http://www.iss.net/security_center/static/9127.php
(VENDOR_ADVISORY)  XF  bzip2-decompression-race-condition(9127)
ftp://ftp.freebsd.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-02:25.bzip2.asc
(VENDOR_ADVISORY)  FREEBSD  FreeBSD-SA-02:25
ftp://ftp.caldera.com/pub/security/OpenLinux/CSSA-2002-039.0.txt
(UNKNOWN)  CALDERA  CSSA-2002-039.0

- 漏洞信息

bzip2解压文件权限不安全漏洞
低危 未知
2002-08-12 00:00:00 2005-05-02 00:00:00
本地  
        
        bzip2是一款开放源代码的文件压缩/解压工具,可使用在多种Linux和Unix操作系统下。
        bzip2存在竞争条件漏洞,可导致解压的文件权限为全局可读。
        bzip2在建立文件和设置正确权限之间存在竞争条件漏洞,可导致bzip2解压不安全的全局可读的文件。攻击者可能利用这个漏洞获得其他本地用户文件的内容。
        

- 公告与补丁

        厂商补丁:
        FreeBSD
        -------
        FreeBSD已经为此发布了一个安全公告(FreeBSD-SA-02:25)以及相应补丁:
        FreeBSD-SA-02:25:bzip2 contains multiple security vulnerabilities
        链接:ftp://ftp.freebsd.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-02:25.bzip2.asc
        补丁下载:
        FreeBSD 4.4 or 4.5 base system]
        1) 将受影响的系统升级到修正日期(2002-01-07)后发布的4.5-RELEASE 、4.5-STABLE、 RELENG_4_5、RELENG_4_4、RELENG_4_3。
        2) 请从下列地址下载补丁和分离的PGP签名,并用你的PGP工具核实签名。
        # fetch ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/patches/SA-02:25/bzip2.patch
        # fetch ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/patches/SA-02:25/bzip2.patch.asc
        以root身份执行下列命令:
        # cd /usr/src
        # patch -p < /path/to/patch
        # cd lib/libbz2
        # make depend && make all install
        # cd ../../usr.bin/bzip2
        # make depend && make all install
        对于ports安装方式
        1) 升级整个ports系统重新编译bzip2。
        2) 卸载老的包,安装新的包,从如下的地址获得:
        [i386]
        ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/i386/packages-4-stable/archivers/
        ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/i386/packages-5-current/archivers/
        3) 为port下载一个新的port框架:
        
        http://www.freebsd.org/ports/

        4) 用portcheckout工具使步骤(3)自己化,此工具在/usr/ports/devel/portcheckout目录或从如下地址下载:
        ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/i386/packages-4-stable/Latest/portcheckout.tgz
        ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/i386/packages-5-current/Latest/portcheckout.tgz

- 漏洞信息

5116
bzip2 File Decompress Permission Arbitrary File Access
Local Access Required Race Condition
Loss of Confidentiality Upgrade
Exploit Unknown Vendor Verified

- 漏洞描述

bzip2 contains a flaw in the decompress functionality. The issue is due to the application decompressing files with insecure permissions before applying the permissions to what is defined in the bzip2 archive. This flaw may allow a local attacker to access arbitrary files.

- 时间线

2004-04-09 Unknow
Unknow 2001-12-30

- 解决方案

It has been reported that this issue has been fixed. Upgrade to version 1.0.2, or higher, to address this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站